1. Pay In - Chile
PayPaga
  • Introduction
    • Introduction
    • API Reference
    • Environments
    • Payment methods
    • Errors
    • Standard Codes and Values
  • Authorization
    • Authorization
    • OAuth 2.0 Token Generation
  • Pay In - Direct API Integration
    • Pay In - Direct API Integration
    • Pay In - Payment Options
    • Pay In - Payment Processing
    • Pay In - Query Transactions
  • Pay In - PayURL Integration
    • Pay In - PayURL Integration
    • Pay In - Create PayURL
  • Pay In - Examples
    • Pay In - Argentina
      • Pay In - Instant Transfers
    • Pay In - Brazil
      • Pay In - PIX
    • Pay In - Chile
      • Pay In - Bank Transfer
        POST
      • Pay In - Khipu
        POST
    • Pay In - Colombia
      • Pay In - Dale
      • Pay In - Daviplata
      • Pay In - Efecty
      • Pay In - Gana
      • Pay In - Movii
      • Pay In - Nequi
      • Pay In - PSE
      • Pay In - RappiPay
      • Pay In - ReFacil
      • Pay In - Susuerte
      • Pay In - Western Union
    • Pay In - Ecuador
      • Pay In - Bemóvil
      • Pay In - Deuna
      • Pay In - Mi Negocio Efectivo
      • Pay In - Omniswitch
      • Pay In - Banco Pichincha
      • Pay In - Rapi Activo
      • Pay In - Western Union
    • Pay In - El Salvador
      • Pay In - Banco Agrícola
      • Pay In - Banco Cuscatlán
      • Pay In - Puntoxpress
    • Pay In - Guatemala
      • Pay In - BAM Efectivo
      • Pay In - BAM Transferencia
      • Pay In - Banco Industrial
      • Pay In - Akisi Pronet
    • Pay In - Mexico
      • Pay In - Pay With Cash
      • Pay In - SPEI
    • Pay In - Peru
      • Pay In - BBVA
      • Pay In - BCP
      • Pay In - BCP Efectivo
      • Pay In - Cell Power
      • Pay In - KasNet
      • Pay In - QR Interoperable
      • Pay In - Plin
      • Pay In - Yape
  • Pay Out - Direct API Integration
    • Pay Out - Direct API Integration
    • Pay Out - Query Transactions
    • Pay Out - Payment Processing
  • Pay Out - Examples
    • Pay Out - Argentina
    • Pay Out - Brazil
    • Pay Out - Chile
    • Pay Out - Colombia
    • Pay Out - Ecuador
    • Pay Out - Guatemala
    • Pay Out - Mexico
    • Pay Out - Peru
  • Transactions Status Notification
    • Transactions Status Notification
    • Pay In - Instant Transfers
  • Query Balance
    • Query Balance
  • Appendix
    • Transaction Status Definitions and Lifecycle
    • Assets
  1. Pay In - Chile

Pay In - Khipu

Developing
Develop Env
https://api.v2.stg.paypaga.com
Develop Env
https://api.v2.stg.paypaga.com
POST
https://api.v2.stg.paypaga.com
/payment

Required Fields#

FieldDescriptionValidation
bank_codeBank identifier codeSee Bank Identifier Codes below

Bank Identifier Code#

NameCode
Banco de Chilebanco_chile
Banco Estadobanco_estado
Banco BCIbci
Banco Falabellafalabella
Banco Itaúitau
Banco Santandersantander
Banco Securitysecurity
Scotiabankscotiabank
Banco BICEbanco_bice
Banco Consorciobanco_consorcio
Banco Internacionalbanco_internacional
Banco Ripleybanco_ripley
Coopeuchcoopeuch
Prepago Los Héroesprepago_los_heroes

Payment Flows#

The Pay-In response provides three distinct URLs:
Payment URL: A unified link that allows the end user to choose between manual transfer and simplified transfer.
Manual Transfer URL: A direct link that enables the user to complete the payment manually through their bank.
Simplified Transfer URL: A direct link that redirects the user to Khipu’s checkout for a simplified payment experience.

Expiry#

Initiated transactions that are not completed, transition to an Expired state after 72 hours.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.v2.stg.paypaga.com/payment' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "transaction_id": "20251030-1529-4510-bc3c-6321213ee17f",
    "payment_method_code": "khipu",
    "country_code": "CL",
    "currency": "CLP",
    "transaction_total": 123.00,
    "merchant_transaction_reference": "d0d72900-4734-47c4-8fc7-c2ffea70244f",
    "transaction_fields": [
        {
            "name": "bank_code",
            "value": "bci"
        }
    ]
}'
Response Response Example
200 - Success
{
  "transaction_id": "20251030-1529-4510-bc3c-6321213ee17f",
  "transaction_payment_mode": "ASYNCHRONOUS",
  "payment_method_reference": "20251030-1529-4510-bc3c-6321213ee17f",
  "message": "Transaction Successfully",
  "version": "0.1",
  "next_steps_detail_instructions": [
    {
      "type": "label",
      "key": "payment_method",
      "label": "Método de Pago",
      "description": "khipu"
    },
    {
      "type": "external_link",
      "key": "payment_url",
      "label": "URL de pago",
      "description": "https://khipu.com/payment/info/75msm1ddc66a"
    },
    {
      "type": "external_link",
      "key": "transfer_url",
      "label": "Transferencia manual",
      "description": "https://khipu.com/payment/manual/75msm1ddc66a"
    },
    {
      "type": "external_link",
      "key": "simplified_transfer_url",
      "label": "Transferencia simplificada",
      "description": "https://app.khipu.com/payment/simplified/75msm1ddc66a"
    }
  ]
}
Previous
Pay In - Bank Transfer
Next
Pay In - Dale
Built with